body {
    box-sizing: border-box;
}

.guide-banner {
    background-image: url('/img/backgrounds/darkgreen-circuitboard-bg-trans_125x125.png');
    border-bottom: white solid 2px;
}

.guide-title {
    background-image: url('/img/backgrounds/darkgreen-circuitboard-bg-trans_125x125.png');
}

.guide-title-text {
    background-image: url('/img/backgrounds/darkgreen-circuitboard-bg-trans_125x125.png');
    color: white;
    border-bottom: white solid 2px;
    border-right: white solid 1px;
    padding-bottom: 5px;
    padding-left: 5px;
    font-weight: bold;
}

.guide-toc {
    background-image: url('/img/backgrounds/darkgreen-circuitboard-bg-trans_125x125.png');
}

.guide-toc-hdr {
    background-image: url('/img/backgrounds/lightgreen-circuitboard-bg-trans_125x125.png');
    color: green;
    border-bottom: white solid 2px;
    border-right: white solid 1px;
    padding-bottom: 5px;
    padding-left: 5px;
    font-weight: bold;
}

.guide-toc-index {
    background-image: url('/img/backgrounds/lightgreen-circuitboard-bg-trans_125x125.png');
}

.toc-link {
    text-decoration: none;
    color: black;
    font-size: 1.1em;
}

.toc-link:hover {
    cursor: pointer;
    color: darkgreen;
    text-decoration: underline;
    font-weight: bold;
}

.toc-link:active {
    opacity: 50%;
    color: darkgreen;
}

.guide-section {
    background-image: url('/img/backgrounds/lightgreen-circuitboard-bg-trans_125x125.png');
    margin-top: 5px;
    margin-bottom: 5px;
}

.guide-section-hdr {
    background-image: url('/img/backgrounds/darkgreen-circuitboard-bg-trans_125x125.png');
    color: green;
    border-bottom: white solid 2px;
    border-right: white solid 1px;
    padding-bottom: 5px;
    padding-left: 5px;
    font-weight: bold;
}

.guide-section-title {
    background-image: url('/img/backgrounds/lightgreen-circuitboard-bg-trans_125x125.png');
    color: green;
    border-bottom: white solid 2px;
    border-right: white solid 1px;
    padding-bottom: 5px;
    padding-left: 5px;
    font-weight: bold;
    margin-top: 5px;
    margin-bottom: 2px;
}

pre {
    font-size: 1.2em;
}

p {
    font-size: 1.1em;
}

.code-box {
    background: #1e1e1e;     /* Dark editor-style background */
    color: #f8f8f2;          /* Light text */
    padding: 12px;
    border-radius: 6px;
    font-family: Consolas, monospace;
    font-size: 14px;
    white-space: pre;        /* preserves formatting like <pre> */
    overflow-x: auto;        /* prevents layout break */
    max-width: 100%;         /* responsive */
    border: 1px solid #333;
}